/********************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ********************************************************************/

package gov.va.med.esr.service.external;

import java.io.Serializable;

import org.apache.commons.lang.builder.ToStringBuilder;

/**
 * Initial javadoc for class ExternalComponent. TODO - Add content here
 * 
 * Created Dec 23, 2005 10:53:59 AM
 * 
 * @author DNS   BOHMEG
 */
public abstract class ExternalComponent implements Serializable {
	
    private static final long serialVersionUID = -1370346746640850300L;  
    
    
    public ExternalComponent(){
    	super();
    }
    
    public String toString() {
    	return ToStringBuilder.reflectionToString(this);
	}
}
